Ferrule

Zoom Phone

56 tools OpenAPI spec ↗

MCPREST
GETlist_zoom_phone_account_settings/settings

List an account's Zoom Phone settings

Request

Query Parameters

NameTypeRequiredDescription
setting_typesstringNoThe comma separated list of the setting items you want to fetch.

Response

call_live_transcriptionobject
local_survivability_modeobject
external_calling_on_zoom_room_common_areaobject
select_outbound_caller_idobject
personal_audio_libraryobject
voicemailobject
voicemail_transcriptionobject
voicemail_notification_by_emailobject
shared_voicemail_notification_by_emailobject
restricted_call_hoursobject
allowed_call_locationsobject
check_voicemails_over_phoneobject
auto_call_recordingobject
ad_hoc_call_recordingobject
international_callingobject
outbound_callingobject
outbound_smsobject
smsobject
sms_etiquette_toolobject
zoom_phone_on_mobileobject
zoom_phone_on_pwaobject
e2e_encryptionobject
call_handling_forwarding_to_other_usersobject
call_overflowobject
call_transferringobject
elevate_to_meetingobject
call_parkobject
hand_off_to_roomobject
mobile_switch_to_carrierobject
delegationobject
audio_intercomobject
block_calls_without_caller_idobject
block_external_callsobject
call_queue_opt_out_reasonobject
auto_delete_data_after_retention_durationobject
auto_call_from_third_party_appsobject
override_default_portobject
peer_to_peer_mediaobject
advanced_encryptionobject
display_call_feedback_surveyobject
block_list_for_inbound_calls_and_messagingobject
block_calls_as_threatobject
online_faxobject
private_call_parkobject
sms_templateobject
call_screeningobject
sms_auto_replyobject
allow_end_user_edit_call_handlingobject
connect_to_operatorobject
no_hold_conferenceobject
conference_dtmfobject
end_conference_call_when_originator_dropsobject
chat_channelobject
desk_phone_smart_key_positions_layoutobject
auto_opt_out_in_call_queueobject
allow_mobile_home_phone_calloutobject
use_callkit_for_incoming_call_notifications_in_iosobject
hide_phone_call_history_in_iosobject
obfuscate_sensitive_data_during_callobject
prevent_users_upload_audio_filesobject
voicemail_tasksobject
voicemail_intent_based_prioritizationobject
team_sms_thread_summaryobject
customize_line_nameobject
show_custom_disclaimer_when_using_zoom_phoneobject

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "list_zoom_phone_account_settings"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "list_zoom_phone_account_settings",
      "params": {}
    }
  }
}
GETlist_auto_receptionists/auto-receptionists

List auto receptionists

Request

Pagination

NameTypeRequiredDescription
page_sizenumberNoThe total number of records returned from a single API call.
next_page_tokenstringNoThe next page token paginates through large result sets.

Response

auto_receptionistsarray
next_page_tokenstring
page_sizenumber
total_recordsnumber

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "list_auto_receptionists"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "list_auto_receptionists",
      "params": {}
    }
  }
}
GETget_auto_receptionist_detail/auto-receptionists/:autoReceptionistId

Get an auto receptionist

Request

Path Parameters

NameTypeRequiredDescription
autoReceptionistIdstringYesThe auto receptionist ID.

Response

cost_centerstring
departmentstring
extension_idstring
extension_numbernumber
namestring
timezonestring
audio_prompt_languageobject
holiday_hoursarray
phone_numbersarray
siteobject
recording_storage_locationobject
own_storage_namestring

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "get_auto_receptionist_detail"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "get_auto_receptionist_detail",
      "params": {
        "autoReceptionistId": "<autoReceptionistId>"
      }
    }
  }
}
GETget_auto_receptionists_policy/auto-receptionists/:autoReceptionistId/policy

Get an auto receptionist policy

Request

Path Parameters

NameTypeRequiredDescription
autoReceptionistIdstringYesThe unique identifier of the auto receptionist.

Response

voicemail_access_membersarray
voicemail_transcriptionobject
voicemail_notification_by_emailobject
smsobject

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "get_auto_receptionists_policy"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "get_auto_receptionists_policy",
      "params": {
        "autoReceptionistId": "<autoReceptionistId>"
      }
    }
  }
}
GETget_auto_receptionist_ivr/auto-receptionists/:autoReceptionistId/ivr

Get auto receptionist IVR

Request

Path Parameters

NameTypeRequiredDescription
autoReceptionistIdstringYesThe unique identifier of the auto receptionist.

Query Parameters

NameTypeRequiredDescription
hours_typestringNoThe query hours type: business_hours or closed_hours, default business_hours.
holiday_idstringNoThe auto receptionist holiday hours ID.

Response

audio_promptobject
caller_enters_no_actionobject
key_actionsarray

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "get_auto_receptionist_ivr"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "get_auto_receptionist_ivr",
      "params": {
        "autoReceptionistId": "<autoReceptionistId>"
      }
    }
  }
}
GETaccount_call_history/call-history

Get account's call history

Request

Query Parameters

NameTypeRequiredDescription
fromstringNoThe start time and date in yyyy-mm-dd or yyyy-MM-dd'T'HH:mm:ss'Z' format.
tostringNoEnd time and date in yyyy-mm-dd or yyyy-MM-dd'T'HH:mm:ss'Z' format.
keywordstringNoSearch by name, extension, number, email address, or call ID.
directionsstringNoThe direction filter of the call logs.
connect_typesstringNoThe connect type filter: internal or external.
number_typesstringNoThe number type filter of the caller or callee.
call_typesstringNoThe call type filter: general or emergency.
extension_typesstringNoThe extension type filter of the call logs.
call_resultsstringNoThe call result filter of the call logs.
group_idsstringNoThe primary group filter of call logs.
site_idsstringNoThe site filter of call logs.
departmentstringNoThe department where the call log belongs.
cost_centerstringNoThe cost center where the call log belongs.
time_typestringNoSearch call logs by start or end time. Default: start_time.
recording_statusstringNoFilter by recording status.
with_voicemailbooleanNoThe voicemail filter of the call logs.

Pagination

NameTypeRequiredDescription
page_sizenumberNoThe number of records returned within a single API call.
next_page_tokenstringNoThe next page token paginates through a large set of results.

Response

call_logsarray
call_historyarray
fromstring
tostring
page_countnumber
page_sizenumber
total_recordsnumber
next_page_tokenstring

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "account_call_history"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "account_call_history",
      "params": {}
    }
  }
}
GETget_call_path/call-history/:callHistoryUuid/call-path

Get call history

Request

Path Parameters

NameTypeRequiredDescription
callHistoryUuidstringYesThe ID of the call history.

Response

idstring
call_history_uuidstring
call_idstring
connect_typeobject
call_typeobject
directionobject
internationalobject
hide_caller_idboolean
end_to_endboolean
caller_ext_idstring
caller_namestring
caller_did_numberstring
caller_ext_numberstring
caller_emailstring
caller_ext_typeobject
callee_ext_idstring
callee_namestring
callee_emailstring
callee_did_numberstring
callee_ext_numberstring
callee_ext_typeobject
departmentstring
cost_centerstring
site_idstring
group_idstring
site_namestring
start_timestring
answer_timestring
end_timestring
call_patharray
caller_acconut_codestring
callee_account_codestring
call_elementsarray

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "get_call_path"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "get_call_path",
      "params": {
        "callHistoryUuid": "<callHistoryUuid>"
      }
    }
  }
}
GETget_user_ai_call_summary/users/:userId/ai-call-summaries/:aiCallSummaryId

Get User AI Call Summary Detail

Request

Path Parameters

NameTypeRequiredDescription
userIdstringYesThe owner's user ID.
aiCallSummaryIdstringYesThe ID of the AI call summary.

Response

ai_call_summary_idstring
account_idstring
call_idstring
user_idstring
call_summary_rateobject
transcript_languagestring
call_summarystring
next_stepsstring
detailed_summarystring
created_timestring
modified_timestring
editedboolean

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "get_user_ai_call_summary"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "get_user_ai_call_summary",
      "params": {
        "userId": "<userId>",
        "aiCallSummaryId": "<aiCallSummaryId>"
      }
    }
  }
}
GETphone_user_call_history/users/:userId/call-history

Get user's call history

Request

Path Parameters

NameTypeRequiredDescription
userIdstringYesThe user ID or email address. Use 'me' for authenticated user.

Query Parameters

NameTypeRequiredDescription
fromstringNoThe start time and date in yyyy-mm-dd or yyyy-MM-dd'T'HH:mm:ss'Z' format.
tostringNoEnd time and date in yyyy-mm-dd or yyyy-MM-dd'T'HH:mm:ss'Z' format.
keywordstringNoSearch by name, extension, number, email address, or call ID.
directionsstringNoThe direction filter of the call logs.
connect_typesstringNoThe connect type filter: internal or external.
number_typesstringNoThe number type filter of the caller or callee.
call_typesstringNoThe call type filter: general or emergency.
extension_typesstringNoThe extension type filter of the call logs.
call_resultsstringNoThe call result filter of the call logs.
group_idsstringNoThe primary group filter of call logs.
site_idsstringNoThe site filter of call logs.
departmentstringNoThe department of which the call log belongs.
cost_centerstringNoThe cost center of which the call log belongs.
time_typestringNoSearch call logs by start or end time. Default: start_time.
recording_statusstringNoFilter by recording status.
with_voicemailbooleanNoThe voicemail filter of the call logs.

Pagination

NameTypeRequiredDescription
page_sizenumberNoThe number of records returned within a single API call.
next_page_tokenstringNoThe next page token paginates through a large set of results.

Response

call_logsarray
call_elementsarray
fromstring
tostring
next_page_tokenstring
page_countnumber
page_sizenumber
total_recordsnumber

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "phone_user_call_history"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "phone_user_call_history",
      "params": {
        "userId": "<userId>"
      }
    }
  }
}
GETsync_user_call_history/users/:userId/call-history/sync

Sync user's call history

Request

Path Parameters

NameTypeRequiredDescription
userIdstringYesThe user ID.

Query Parameters

NameTypeRequiredDescription
sync_typestringNoSynchronization type: FSync (Full), ISync (Incremental), BSync (Backward).
countnumberNoThe number of records returned within a single API call.
sync_tokenstringNoThe time range for returned records, used for locating next retrieval.

Response

call_logsarray
call_elementsarray
sync_tokenstring

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "sync_user_call_history"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "sync_user_call_history",
      "params": {
        "userId": "<userId>"
      }
    }
  }
}
GETcallqueueanalytics/call-queues/analytics

List call queue analytics

Request

Query Parameters

NameTypeRequiredDescription
fromstringNoThe call start time in GMT yyyy-mm-dd or yyyy-MM-dd'T'HH:mm:ss'Z' format.
tostringNoThe call end time in GMT yyyy-mm-dd or yyyy-MM-dd'T'HH:mm:ss'Z' format.
site_idstringNoThe unique identifier of the site.
call_queue_ext_idsstringNoThe call queue extension ID list.
departmentstringNoThe department of which the call queue belongs.
cost_centerstringNoThe cost center where the call queue belongs.

Pagination

NameTypeRequiredDescription
page_sizenumberNoThe number of records returned within a single API call.
next_page_tokenstringNoThe next page token paginates through a large set of results.

Response

call_queuesarray
fromstring
tostring
page_sizenumber
next_page_tokenstring

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "callqueueanalytics"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "callqueueanalytics",
      "params": {}
    }
  }
}
GETlist_call_queues/call-queues

List call queues

Request

Query Parameters

NameTypeRequiredDescription
site_idstringNoUnique identifier of the site.
cost_centerstringNoThe call queue's cost center.
departmentstringNoThe call queue's department.

Pagination

NameTypeRequiredDescription
next_page_tokenstringNoThe next page token paginates through a large set of results.
page_sizenumberNoThe number of records returned from a single API call.

Response

call_queuesarray
next_page_tokenstring
page_sizenumber
total_recordsnumber

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "list_call_queues"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "list_call_queues",
      "params": {}
    }
  }
}
GETget_a_call_queue/call-queues/:callQueueId

Get call queue details

Request

Path Parameters

NameTypeRequiredDescription
callQueueIdstringYesThe unique identifier of the call queue.

Response

cost_centerstring
departmentstring
extension_idstring
extension_numbernumber
idstring
membersobject
namestring
phone_numbersarray
siteobject
statusobject
policyobject
timezonestring
audio_prompt_languageobject
recording_storage_locationobject
own_storage_namestring

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "get_a_call_queue"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "get_a_call_queue",
      "params": {
        "callQueueId": "<callQueueId>"
      }
    }
  }
}
GETlist_call_queue_members/call-queues/:callQueueId/members

List call queue members

Request

Path Parameters

NameTypeRequiredDescription
callQueueIdstringYesThe call queue ID.

Response

call_queue_membersarray
next_page_tokenstring
page_sizenumber
total_recordsnumber

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "list_call_queue_members"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "list_call_queue_members",
      "params": {
        "callQueueId": "<callQueueId>"
      }
    }
  }
}
GETget_call_queue_recordings/call-queues/:callQueueId/recordings

Get call queue recordings

Request

Path Parameters

NameTypeRequiredDescription
callQueueIdstringYesUnique identifier of the Call Queue.

Query Parameters

NameTypeRequiredDescription
fromstringNoThe start time and date in yyyy-mm-dd or yyyy-MM-dd'T'HH:mm:ss'Z' format.
tostringNoEnd time and date in yyyy-mm-dd or yyyy-MM-dd'T'HH:mm:ss'Z' format.

Pagination

NameTypeRequiredDescription
page_sizenumberNoThe number of records returned within a single API call.
next_page_tokenstringNoThe next page token paginates through a large set of results.

Response

fromstring
next_page_tokenstring
page_sizenumber
recordingsarray
tostring
total_recordsnumber

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "get_call_queue_recordings"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "get_call_queue_recordings",
      "params": {
        "callQueueId": "<callQueueId>"
      }
    }
  }
}
GETlist_cr_phone_numbers/phone-numbers

List phone numbers

Request

Query Parameters

NameTypeRequiredDescription
assigned_statusstringNoNumber assignment status.
sub_account_idstringNoPartner account ID from sub-account.
keywordstringNoPartial string of the phone number.

Pagination

NameTypeRequiredDescription
page_sizenumberNoThe size of the page.
next_page_tokenstringNoThe current page number of returned records.

Response

carrier_reseller_numbersarray
next_page_tokenstring
page_sizenumber
total_recordsnumber

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "list_cr_phone_numbers"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "list_cr_phone_numbers",
      "params": {}
    }
  }
}
GETlist_call_logs_metrics/call-logs/metrics

List call logs

Request

Query Parameters

NameTypeRequiredDescription
fromstringNoThe start date in yyyy-mm-dd format.
tostringNoThe end date in yyyy-mm-dd format.
site_idstringNoThe unique identifier of the site.
quality_typestringNoFilter call logs by voice quality.

Pagination

NameTypeRequiredDescription
page_sizenumberNoThe number of records returned within a single call.
next_page_tokenstringNoThe next page token paginates through a large set of results.

Response

call_logsarray
fromstring
next_page_tokenstring
page_sizenumber
tostring
total_recordsnumber

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "list_call_logs_metrics"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "list_call_logs_metrics",
      "params": {}
    }
  }
}
GETget_call_qo_s/call-logs/:callId/qos

Get call QoS

Request

Path Parameters

NameTypeRequiredDescription
callIdstringYesThe unique identifier of the call.

Response

call_idstring
callee_qosobject
caller_qosobject

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "get_call_qo_s"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "get_call_qo_s",
      "params": {
        "callId": "<callId>"
      }
    }
  }
}
GETget_call_log_metrics_details/call-logs/:call_id/metrics

Get call details from call log

Request

Path Parameters

NameTypeRequiredDescription
call_idstringYesThe unique identifier of the phone call.

Response

call_idstring
calleeobject
callerobject
date_timestring
directionstring
durationnumber
mosstring

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "get_call_log_metrics_details"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "get_call_log_metrics_details",
      "params": {
        "call_id": "<call_id>"
      }
    }
  }
}
GETlist_past_call_metrics/call-logs/past-metrics

List past call metrics

Request

Query Parameters

NameTypeRequiredDescription
fromstringNoThe start time and date in yyyy-mm-dd or yyyy-MM-dd'T'HH:mm:ss'Z' format.
tostringNoEnd time and date in yyyy-mm-dd or yyyy-MM-dd'T'HH:mm:ss'Z' format.
phone_numberstringNoFilter call logs of a specified phone number.
extension_numberstringNoFilter call logs of a specified extension number.
quality_typestringNoFilter call logs by voice quality.
departmentstringNoThe department the extension belongs to.
cost_centerstringNoThe cost center the extension belongs to.
directionsstringNoThe directions of the call.
durationsstringNoThe duration of the call filter.
site_idstringNoThe unique identifier of the site.

Pagination

NameTypeRequiredDescription
page_sizenumberNoThe number of records returned within a single call.
next_page_tokenstringNoThe next page token paginates through a large set of results.

Response

call_logsarray
fromstring
tostring
next_page_tokenstring
page_sizenumber
total_recordsnumber

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "list_past_call_metrics"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "list_past_call_metrics",
      "params": {}
    }
  }
}
GETlist_users_from_directory/directory/users

List users in directory

Request

Query Parameters

NameTypeRequiredDescription
in_directorybooleanNoWhether the user belongs to the directory.
site_idstringNoUnique identifier of the site.

Pagination

NameTypeRequiredDescription
page_sizenumberNoThe number of records returned within a single API call.
next_page_tokenstringNoThe next page token paginates through a large set of results.

Response

next_page_tokenstring
page_sizenumber
resultarray

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "list_users_from_directory"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "list_users_from_directory",
      "params": {}
    }
  }
}
GETlist_users_from_directory_by_site/sites/:siteId/directory/users

List users in a directory by site

Request

Path Parameters

NameTypeRequiredDescription
siteIdstringYesUnique identifier of the site.

Query Parameters

NameTypeRequiredDescription
in_directorybooleanNoWhether the user belongs to the directory.
site_idstringNoUnique identifier of the site to which users belong.

Pagination

NameTypeRequiredDescription
page_sizenumberNoThe number of records returned within a single API call.
next_page_tokenstringNoThe next page token paginates through a large set of results.

Response

next_page_tokenstring
page_sizenumber
resultarray

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "list_users_from_directory_by_site"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "list_users_from_directory_by_site",
      "params": {
        "siteId": "<siteId>"
      }
    }
  }
}
GETlist_external_contacts/external-contacts

List external contacts

Request

Pagination

NameTypeRequiredDescription
next_page_tokenstringNoThe next page token paginates through a large set of results.
page_sizenumberNoThe number of records returned within a single API call.

Response

external_contactsarray
next_page_tokenstring
page_sizenumber

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "list_external_contacts"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "list_external_contacts",
      "params": {}
    }
  }
}
GETgetusersfaxlogs/users/:extensionId/fax-logs

Get extension's fax logs

Request

Path Parameters

NameTypeRequiredDescription
extensionIdstringYesThe extension ID of the fax log owner.

Query Parameters

NameTypeRequiredDescription
sender_numberstringNoThe sender's fax number in E164 format.
receiver_numberstringNoThe receiver's fax number in E164 format.

Pagination

NameTypeRequiredDescription
page_sizenumberNoThe number of records returned within a single API call.
next_page_tokenstringNoThe token to retrieve the next page of results.

Response

next_page_tokenstring
total_recordsnumber
fax_logsarray

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "getusersfaxlogs"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "getusersfaxlogs",
      "params": {
        "extensionId": "<extensionId>"
      }
    }
  }
}
GETget_accounts_fax_logs/fax-logs

Get account's fax logs

Request

Query Parameters

NameTypeRequiredDescription
site_idstringNoThe site's unique ID.
sender_numberstringNoThe sender's fax number in E164 format.
receiver_numberstringNoThe receiver's fax number in E164 format.
extension_typestringNoThe extension type of fax's log owner.

Pagination

NameTypeRequiredDescription
page_sizenumberNoThe number of records returned within a single API call.
next_page_tokenstringNoThe token to retrieve the next page of results.

Response

next_page_tokenstring
total_recordsnumber
fax_logsarray

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "get_accounts_fax_logs"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "get_accounts_fax_logs",
      "params": {}
    }
  }
}
GETget_fax_log_details/fax-logs/:faxLogId

Get fax log details

Request

Path Parameters

NameTypeRequiredDescription
faxLogIdstringYesThe fax log's unique ID.

Response

array of:
fax_log_idstring
fax_idstring
site_idstring
site_namestring
directionobject
extension_idstring
extension_typeobject
sender_extension_idstring
sender_extension_typeobject
sender_extension_numberstring
sender_namestring
sender_numberstring
sender_typeobject
sender_locationstring
sender_user_agentstring
receiver_extension_idstring
receiver_extension_typeobject
receiver_extension_numberstring
receiver_namestring
receiver_numberstring
receiver_typeobject
receiver_locationstring
receiver_user_agentstring
file_idstring
file_pages_countnumber
statusobject
read_statusobject
status_reasonobject
retry_timesnumber
nodenumber
create_timestring

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "get_fax_log_details"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "get_fax_log_details",
      "params": {
        "faxLogId": "<faxLogId>"
      }
    }
  }
}
GETdownloadfaxfile/fax-logs/:faxLogId/files/:fileId

Download fax file

Request

Path Parameters

NameTypeRequiredDescription
faxLogIdstringYesThe fax log's unique ID.
fileIdstringYesThe fax file ID.

Response

This tool returns binary file content. No structured schema is available.

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "downloadfaxfile"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "downloadfaxfile",
      "params": {
        "faxLogId": "<faxLogId>",
        "fileId": "<fileId>"
      }
    }
  }
}
GETlist_calling_plans/calling-plans

List calling plans

Request

No input parameters.

Response

calling_plansarray

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "list_calling_plans"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "list_calling_plans",
      "params": {}
    }
  }
}
GETget_phone_recordings_by_call_id_or_call_log_id/call-logs/:callId/recordings

Get recording by call ID

Request

Path Parameters

NameTypeRequiredDescription
idstringYesThe unique ID of the call log (callLogId or callId).

Response

call_idstring
call_log_idstring
call_history_idstring
call_element_idstring
callee_namestring
callee_numberstring
callee_number_typeobject
caller_namestring
caller_numberstring
caller_number_typeobject
outgoing_byobject
accepted_byobject
date_timestring
directionstring
download_urlstring
durationnumber
end_timestring
idstring
meeting_uuidstring
ownerobject
deleted_timestring
days_left_auto_permantely_deletenumber
soft_deleted_typeobject
recording_typeobject
file_urlstring
disclaimer_statusobject
caller_account_codestring
callee_account_codestring

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "get_phone_recordings_by_call_id_or_call_log_id"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "get_phone_recordings_by_call_id_or_call_log_id",
      "params": {
        "id": "<id>"
      }
    }
  }
}
GETphone_download_recording_file/recordings/:recordingId/download

Download a phone recording

Request

Path Parameters

NameTypeRequiredDescription
fileIdstringYesThe file ID of the phone recording.

Response

This tool returns binary file content. No structured schema is available.

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "phone_download_recording_file"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "phone_download_recording_file",
      "params": {
        "fileId": "<fileId>"
      }
    }
  }
}
GETphone_download_recording_transcript/recordings/:recordingId/transcript

Download a phone recording transcript

Request

Path Parameters

NameTypeRequiredDescription
recordingIdstringYesThe phone recording ID.

Response

This tool returns binary file content. No structured schema is available.

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "phone_download_recording_transcript"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "phone_download_recording_transcript",
      "params": {
        "recordingId": "<recordingId>"
      }
    }
  }
}
GETget_phone_recordings/recordings

Get call recordings

Request

Query Parameters

NameTypeRequiredDescription
fromstringNoStart time and date in yyyy-mm-dd or yyyy-MM-dd'T'HH:mm:ss'Z' format.
tostringNoEnd time and date in yyyy-mm-dd or yyyy-MM-dd'T'HH:mm:ss'Z' format.
owner_typestringNoThe owner type: null, user, callQueue, or commonArea.
recording_typestringNoThe recording type: null, OnDemand, or Automatic.
site_idstringNoThe site ID. Default: All sites.
query_date_typestringNoQuery date type: start_time or end_time. Default: start_time.
group_idstringNoThe group ID. Default: All groups.

Pagination

NameTypeRequiredDescription
page_sizenumberNoThe number of records returned. Default: 30, max: 300.
next_page_tokenstringNoThe current page number of returned records.

Response

next_page_tokenstring
page_sizenumber
recordingsarray
total_recordsnumber

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "get_phone_recordings"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "get_phone_recordings",
      "params": {}
    }
  }
}
GETphone_user_recordings/users/:userId/recordings

Get user's recordings

Request

Path Parameters

NameTypeRequiredDescription
userIdstringYesThe user ID or email address. Use 'me' for authenticated user.

Query Parameters

NameTypeRequiredDescription
fromstringNoStart time and date in yyyy-mm-dd or yyyy-MM-dd'T'HH:mm:ss'Z' format.
tostringNoEnd time and date in yyyy-mm-dd or yyyy-MM-dd'T'HH:mm:ss'Z' format.

Pagination

NameTypeRequiredDescription
page_sizenumberNoThe number of records returned within a single API call.
next_page_tokenstringNoThe next page token paginates through large result sets.

Response

fromstring
next_page_tokenstring
page_countnumber
page_sizenumber
recordingsarray
tostring
total_recordsnumber

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "phone_user_recordings"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "phone_user_recordings",
      "params": {
        "userId": "<userId>"
      }
    }
  }
}
GETget_call_charges_usage_report/reports/call-charges

Get call charges usage report

Request

Query Parameters

NameTypeRequiredDescription
fromstringNoStart time and date in yyyy-mm-dd or yyyy-MM-dd'T'HH:mm:ss'Z' format.
tostringNoEnd time and date in yyyy-mm-dd or yyyy-MM-dd'T'HH:mm:ss'Z' format.
billing_account_idstringNoThe billing account ID.
show_charges_onlybooleanNoShow calls with charges only. Default: false.

Pagination

NameTypeRequiredDescription
page_sizenumberNoThe number of records returned. Default: 30, max: 300.
next_page_tokenstringNoThe next page token paginates through a large set of results.

Response

next_page_tokenstring
page_sizenumber
total_recordsnumber
fromstring
tostring
call_chargesarray

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "get_call_charges_usage_report"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "get_call_charges_usage_report",
      "params": {}
    }
  }
}
GETgetfaxchargesusagereport/reports/fax-charges

Get fax charges usage report

Request

Query Parameters

NameTypeRequiredDescription
fromstringNoStart time and date in yyyy-mm-dd or yyyy-MM-dd'T'HH:mm:ss'Z' format.
tostringNoEnd time and date in yyyy-mm-dd or yyyy-MM-dd'T'HH:mm:ss'Z' format.
fax_idstringNoThe fax ID to filter charges for a specific fax.

Pagination

NameTypeRequiredDescription
page_sizenumberNoThe number of records returned. Default: 30, max: 300.
next_page_tokenstringNoThe next page token paginates through a large set of results.

Response

next_page_tokenstring
page_sizenumber
total_recordsnumber
fromstring
tostring
fax_chargesarray

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "getfaxchargesusagereport"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "getfaxchargesusagereport",
      "params": {}
    }
  }
}
GETget_ps_operation_logs/reports/operation-logs

Get operation logs report

Request

Query Parameters

NameTypeRequiredDescription
fromstringNoStart time and date in yyyy-mm-dd format.
tostringNoEnd time and date in yyyy-mm-dd format.
category_typestringNoFilter by the category of the action performed. Default: all.

Pagination

NameTypeRequiredDescription
page_sizenumberNoThe number of records returned within a single API call.
next_page_tokenstringNoThe next page token paginates through a large set of results.

Response

unknown

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "get_ps_operation_logs"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "get_ps_operation_logs",
      "params": {}
    }
  }
}
GETget_sms_charges_usage_report/reports/sms-charges

Get SMS/MMS charges usage report

Request

Query Parameters

NameTypeRequiredDescription
fromstringNoStart time and date in yyyy-mm-dd or yyyy-MM-dd'T'HH:mm:ss'Z' format.
tostringNoEnd time and date in yyyy-mm-dd or yyyy-MM-dd'T'HH:mm:ss'Z' format.
show_charges_onlybooleanNoShow SMS/MMS with charges only. Default: false.

Pagination

NameTypeRequiredDescription
page_sizenumberNoThe number of records returned. Default: 30, max: 300.
next_page_tokenstringNoThe next page token paginates through a large set of results.

Response

next_page_tokenstring
page_sizenumber
total_recordsnumber
fromstring
tostring
sms_chargesarray

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "get_sms_charges_usage_report"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "get_sms_charges_usage_report",
      "params": {}
    }
  }
}
GETaccount_sms_session/sms/sessions

Get account's SMS sessions

Request

Query Parameters

NameTypeRequiredDescription
fromstringNoStart time and date in yyyy-mm-dd or yyyy-MM-dd'T'HH:mm:ss'Z' format.
tostringNoEnd time and date in yyyy-mm-dd or yyyy-MM-dd'T'HH:mm:ss'Z' format.
session_typestringNoFilter by session type: user, call_queue, auto_receptionist, or all.
phone_numberstringNoThe sender's or receiver's phone number to filter SMS sessions.
filter_typestringNoFilter by message timestamp type.

Pagination

NameTypeRequiredDescription
page_sizenumberNoThe number of records returned within a single API call.
next_page_tokenstringNoThe current page number of returned records.

Response

next_page_tokenstring
page_sizenumber
sms_sessionsarray

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "account_sms_session"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "account_sms_session",
      "params": {}
    }
  }
}
GETsms_session_details/sms/sessions/:sessionId

Get SMS session details

Request

Path Parameters

NameTypeRequiredDescription
sessionIdstringYesThe SMS session ID.

Query Parameters

NameTypeRequiredDescription
fromstringNoStart time and date in yyyy-mm-dd or yyyy-MM-dd'T'HH:mm:ss'Z' format.
tostringNoEnd time and date in yyyy-mm-dd or yyyy-MM-dd'T'HH:mm:ss'Z' format.
sortnumberNoOrder of SMS by creation time: 1=ascending, 2=descending.

Pagination

NameTypeRequiredDescription
page_sizenumberNoThe number of records returned within a single API call.
next_page_tokenstringNoThe current page number of returned records.

Response

next_page_tokenstring
page_sizenumber
sms_historiesarray

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "sms_session_details"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "sms_session_details",
      "params": {
        "sessionId": "<sessionId>"
      }
    }
  }
}
GETsms_by_message_id/sms/messages/:messageId

Get SMS by message ID

Request

Path Parameters

NameTypeRequiredDescription
sessionIdstringYesThe SMS session ID.
messageIdstringYesThe SMS message ID.

Response

attachmentsarray
date_timestring
directionstring
messagestring
message_idstring
message_typeobject
senderobject
to_membersarray

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "sms_by_message_id"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "sms_by_message_id",
      "params": {
        "sessionId": "<sessionId>",
        "messageId": "<messageId>"
      }
    }
  }
}
GETsms_session_sync/sms/sessions/sync

Sync SMS by session ID

Request

Path Parameters

NameTypeRequiredDescription
sessionIdstringYesThe SMS session ID.

Query Parameters

NameTypeRequiredDescription
sync_typestringNoSynchronization type: FSync (Full), ISync (Incremental), BSync (Backward).
countnumberNoThe number of records returned within a single API call.
sync_tokenstringNoThe time range for returned records, used for locating next retrieval.

Response

sms_historiesarray
sync_tokenstring

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "sms_session_sync"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "sms_session_sync",
      "params": {
        "sessionId": "<sessionId>"
      }
    }
  }
}
GETuser_sms_session/users/:userId/sms/sessions

Get user's SMS sessions

Request

Path Parameters

NameTypeRequiredDescription
userIdstringYesThe user ID, user email, or 'me' when using OAuth token.

Query Parameters

NameTypeRequiredDescription
session_typestringNoFilter by session type: user, call_queue, auto_receptionist, or all.
fromstringNoStart time and date in yyyy-mm-dd or yyyy-MM-dd'T'HH:mm:ss'Z' format.
tostringNoEnd time and date in yyyy-mm-dd or yyyy-MM-dd'T'HH:mm:ss'Z' format.
phone_numberstringNoThe sender's or receiver's phone number to filter SMS sessions.
filter_typestringNoFilter by message timestamp type.

Pagination

NameTypeRequiredDescription
page_sizenumberNoThe number of records returned within a single API call.
next_page_tokenstringNoThe current page number of returned records.

Response

next_page_tokenstring
page_sizenumber
sms_sessionsarray

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "user_sms_session"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "user_sms_session",
      "params": {
        "userId": "<userId>"
      }
    }
  }
}
GETget_sms_sessions/users/:userId/sms/sessions/:sessionId

List user's SMS sessions in descending order

Request

Path Parameters

NameTypeRequiredDescription
userIdstringYesThe user ID, user email, or 'me' when using OAuth token.

Query Parameters

NameTypeRequiredDescription
sync_typestringNoSync type: FSync (Full), BSync (Backward), ISync (Forward).
sync_tokenstringNoThe sync token for backward or forward sync.
countnumberNoThe record count of each query.
session_typestringNoFilter by session type: user, call_queue, auto_receptionist, or all.

Response

sms_sessionsarray
sync_tokenstring

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "get_sms_sessions"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "get_sms_sessions",
      "params": {
        "userId": "<userId>"
      }
    }
  }
}
GETget_account_policy_details/policy

Get account policy details

Request

Path Parameters

NameTypeRequiredDescription
policyTypestringYesThe type of policy to retrieve.

Response

allow_emergency_callsobject

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "get_account_policy_details"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "get_account_policy_details",
      "params": {
        "policyType": "<policyType>"
      }
    }
  }
}
GETphone_setting/settings/account

Get phone account settings

Request

No input parameters.

Response

byocobject
countryobject
multiple_sitesobject
show_device_ip_for_call_logobject
multiple_party_conferenceobject
billing_accountobject

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "phone_setting"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "phone_setting",
      "params": {}
    }
  }
}
GETlist_shared_line_groups/shared-line-groups

List shared line groups

Request

Pagination

NameTypeRequiredDescription
page_sizenumberNoThe number of records returned within a single API call.
next_page_tokenstringNoThe next page token paginates through a large set of results.

Response

next_page_tokenstring
page_sizenumber
shared_line_groupsarray
total_recordsnumber

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "list_shared_line_groups"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "list_shared_line_groups",
      "params": {}
    }
  }
}
GETlist_phone_sites/sites

List phone sites

Request

Query Parameters

NameTypeRequiredDescription
site_namestringNoThe name of the site to search.

Pagination

NameTypeRequiredDescription
page_sizenumberNoThe number of records returned within a single API call.
next_page_tokenstringNoThe next page token paginates through a large set of results.

Response

next_page_tokenstring
page_sizenumber
sitesarray
total_recordsnumber

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "list_phone_sites"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "list_phone_sites",
      "params": {}
    }
  }
}
GETget_a_site/sites/:siteId

Get phone site details

Request

Path Parameters

NameTypeRequiredDescription
siteIdstringYesThe unique identifier of the site.

Response

countryobject
idstring
main_auto_receptionistobject
namestring
short_extensionobject
site_codenumber
policyobject
sip_zoneobject
caller_id_namestring
india_state_codestring
india_citystring
india_sdca_npastring
india_entity_namestring
default_emergency_addressobject

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "get_a_site"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "get_a_site",
      "params": {
        "siteId": "<siteId>"
      }
    }
  }
}
GETlist_phone_users/users

List phone users

Request

Query Parameters

NameTypeRequiredDescription
site_idstringNoThe unique identifier of the site.
calling_typenumberNoThe type of calling plan.
statusstringNoThe status of the Zoom Phone user.
departmentstringNoThe department where the user belongs.
cost_centerstringNoThe cost center where the user belongs.
keywordstringNoSearch by name, extension number, or phone number.

Pagination

NameTypeRequiredDescription
page_sizenumberNoThe number of records returned from a single API call.
next_page_tokenstringNoThe next page token paginates through a large set of results.

Response

next_page_tokenstring
page_sizenumber
total_recordsnumber
usersarray

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "list_phone_users"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "list_phone_users",
      "params": {}
    }
  }
}
GETphone_user/users/:userId

Get a user's profile

Request

Path Parameters

NameTypeRequiredDescription
userIdstringYesThe user ID or email address. Use 'me' for authenticated user.

Response

calling_plansarray
cost_centerstring
departmentstring
emailstring
emergency_addressobject
extension_idstring
extension_numbernumber
idstring
phone_numbersarray
phone_user_idstring
policyobject
site_adminboolean
site_idstring
statusobject

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "phone_user"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "phone_user",
      "params": {
        "userId": "<userId>"
      }
    }
  }
}
GETphone_user_settings/users/:userId/settings

Get a user's profile settings

Request

Path Parameters

NameTypeRequiredDescription
userIdstringYesThe user ID or email address. Use 'me' for authenticated user.

Response

area_codestring
audio_prompt_languagestring
company_numberstring
countryobject
delegationobject
desk_phoneobject
extension_numbernumber
music_on_hold_idstring
outbound_callerobject
outbound_caller_idsarray
statusobject
voice_mailarray
intercomobject
auto_call_recording_access_membersarray
ad_hoc_call_recording_access_membersarray
shared_lines_call_settingobject

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "phone_user_settings"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "phone_user_settings",
      "params": {
        "userId": "<userId>"
      }
    }
  }
}
GETget_voicemail_details_by_call_id_or_call_log_id/call-logs/:callId/voicemails

Get user voicemail details from a call log

Request

Path Parameters

NameTypeRequiredDescription
userIdstringYesThe user ID or email address of the user.
idstringYesThe unique ID of the call log (callLogId or callId).

Response

call_idstring
call_log_idstring
call_history_idstring
call_element_idstring
callee_namestring
callee_numberstring
callee_number_typeobject
caller_namestring
caller_numberstring
caller_number_typeobject
date_timestring
download_urlstring
durationnumber
idstring
statusobject
transcriptionobject
caller_account_codestring
callee_account_codestring

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "get_voicemail_details_by_call_id_or_call_log_id"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "get_voicemail_details_by_call_id_or_call_log_id",
      "params": {
        "userId": "<userId>",
        "id": "<id>"
      }
    }
  }
}
GETphone_user_voice_mails/users/:userId/voicemails

Get user's voicemails

Request

Path Parameters

NameTypeRequiredDescription
userIdstringYesThe user ID or email address. Use 'me' for authenticated user.

Query Parameters

NameTypeRequiredDescription
statusstringNoThe status of the voice mail.
fromstringNoStart time and date in yyyy-mm-dd or yyyy-MM-dd'T'HH:mm:ss'Z' format.
tostringNoEnd time and date in yyyy-mm-dd or yyyy-MM-dd'T'HH:mm:ss'Z' format.
trashbooleanNoWhether to query voicemails from trash.

Pagination

NameTypeRequiredDescription
page_sizenumberNoThe number of records returned within a single API call.
next_page_tokenstringNoThe next page token paginates through large result sets.

Response

fromstring
next_page_tokenstring
page_countnumber
page_sizenumber
tostring
total_recordsnumber
voice_mailsarray

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "phone_user_voice_mails"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "phone_user_voice_mails",
      "params": {
        "userId": "<userId>"
      }
    }
  }
}
GETaccount_voice_mails/voicemails

Get account voicemails

Request

Query Parameters

NameTypeRequiredDescription
statusstringNoThe status of the voice mail.
site_idstringNoThe site ID.
owner_typestringNoThe owner type.
voicemail_typestringNoThe voicemail type.
fromstringNoStart time and date in yyyy-mm-dd or yyyy-MM-dd'T'HH:mm:ss'Z' format.
tostringNoEnd time and date in yyyy-mm-dd or yyyy-MM-dd'T'HH:mm:ss'Z' format.
trashedbooleanNoWhether to query voicemails from trash. Default: false.

Pagination

NameTypeRequiredDescription
page_sizenumberNoThe number of records returned within a single API call.
next_page_tokenstringNoThe next page token paginates through a large set of results.

Response

fromstring
next_page_tokenstring
page_countnumber
page_sizenumber
tostring
total_recordsnumber
voice_mailsarray

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "account_voice_mails"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "account_voice_mails",
      "params": {}
    }
  }
}
GETphone_download_voicemail_file/voicemails/:voicemailId/download

Download a phone voicemail

Request

Path Parameters

NameTypeRequiredDescription
fileIdstringYesThe file ID of the phone voicemail.

Response

This tool returns binary file content. No structured schema is available.

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "phone_download_voicemail_file"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "phone_download_voicemail_file",
      "params": {
        "fileId": "<fileId>"
      }
    }
  }
}
GETget_voicemail_details/voicemails/:voicemailId

Get voicemail details

Request

Path Parameters

NameTypeRequiredDescription
voicemailIdstringYesThe unique identifier of the voicemail.

Response

call_idstring
call_log_idstring
call_history_idstring
call_element_idstring
callee_namestring
callee_numberstring
callee_number_typeobject
caller_namestring
caller_numberstring
caller_number_typeobject
date_timestring
download_urlstring
durationnumber
idstring
statusobject
transcriptionobject
deleted_timestring
days_left_auto_permantely_deletenumber
soft_deleted_typeobject
intent_detect_statusobject
intent_resultsarray
voice_mail_taskobject
caller_account_codestring
callee_account_codestring

Examples

1. Describe method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "describe_method",
    "arguments": {
      "service": "zoom-phone",
      "method": "get_voicemail_details"
    }
  }
}

2. Call method

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "call_zoom-phone",
    "arguments": {
      "method": "get_voicemail_details",
      "params": {
        "voicemailId": "<voicemailId>"
      }
    }
  }
}